//
//  Photo.js
//  Kite
//
//


var MAX_ROTATION = 14.0;

// Handle mouse events
//

function mouseMoved(event) {

    // Convert the mouse location to this layer's
    // coordinate space
    //
    var layerPoint = event.locationInLayer(this);

    if (this.containsPoint(layerPoint) == false)
    {
        this.rotationX = 0;
        this.rotationY = 0;
        return;
    }

    this.allowsImplicitAnimations = false;

    // Center point on layer
    //
    var size = this.bounds.size;
    var centerPoint = { x: Math.round(size.width * 0.5), y: Math.round(size.height * 0.5) };

    var offsetPoint = { x: layerPoint.x - centerPoint.x, y: layerPoint.y - centerPoint.y };
    var percentOffsetX = offsetPoint.x / centerPoint.x;
    var percentOffsetY = offsetPoint.y / centerPoint.y;

    var rotationX = percentOffsetY * MAX_ROTATION;
    var rotationY = percentOffsetX * MAX_ROTATION;

    this.rotationX = -rotationX;
    this.rotationY = rotationY;
}


// Called just before the presentation starts
//

layer.canvasReady = function(event) {

    var photoLayerNames = [ "Photo Frame 1", "Photo Frame 2",
                            "Photo Frame 3", "Photo Frame 4" ];

    for (var layerName of photoLayerNames)
    {
        var photoFrameLayer = canvas.getLayerByName(layerName);
        photoFrameLayer.mouseMoved = mouseMoved;
    }
};
