//
//  ExportOptions.js
//  Kite
//
//  Created by Joe Rhodes
//  Copyright (c) 2016 Joe Rhodes. All rights reserved.
//


ExportOptions = function(options) {

    if ( ! options ) { return }

    if (options.flattenLayersWithSuffix != undefined) {
        this.flattenLayersWithSuffix = options.flattenLayersWithSuffix
    }

    if (options.exportTextLayersAsImages != undefined) {
        this.exportTextLayersAsImages = options.exportTextLayersAsImages
    }

    if (options.exportShapeLayersAsImages != undefined) {
        this.exportShapeLayersAsImages = options.exportShapeLayersAsImages
    }

    if (options.exportCurrentPageOnly != undefined) {
        this.exportCurrentPageOnly = options.exportCurrentPageOnly
    }

    if (options.imageExportScale != undefined) {
        this.imageExportScale = options.imageExportScale
    }
    else {
        this.imageExportScale = 2
    }

    if (options.destinationURL != undefined) {

        var url = options.destinationURL

        // Convert string URLs to NSURL objects if necessary
        //
        if (typeof url == 'string') {
            url = NSURL.fileURLWithPath(url)
        }

        this.destinationURL = url
    }
}

ExportOptions.preconfiguredOptions = new ExportOptions( /** Preconfigured Options Here **/ )

// E.g.
//
// ExportOptions.preconfiguredOptions = new ExportOptions( { "flattenLayersWithSuffix": true, "exportTextLayersAsImages": false, "exportShapeLayersAsImages": false, "exportCurrentPageOnly": false, "imageExportScale": 2, "destinationURL": '/Users/joe/Desktop/preconfigText.kite' } )